import request from '@/utils/request'

export function addStaffInfo (data){
    console.log("文章列表",data)
    return request({
        url: '/api/staff/addStaffInfo',
        method: 'Post',
        data: data
    })
}

export function getAllStaffInfo (param,keyword) {
    console.log("param",param,"keyword",keyword)
    const params = {
        param: param,
        keyword:keyword,
    }

    return request({
        url:'/api/staff/getAllStaffInfo',
        method:'Get',
        params:params
    })
}

export function SaveStaffInfo(id,data){
    console.log("id是什么呢?",id)
     return request({
         url:'/api/staff/EditStaffInfo?id='+id,
         method:"Post",
         data:data,
     })
} 

export function DeleteStaffs(data){
    console.log("删除的数据是?",data)
    return request({
        url:'/api/staff/DeleteStaffs',
        method:"delete",
        data:data,
    })
}